View Issue Details

IDProjectCategoryView StatusLast Update
0003951SUMoNew Featurepublic2019-06-05 22:36
ReporterOLLI_S Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
PlatformWindowsOSMicrosoft WindowsOS Version10
Product Version4.5.1 
Target VersionLong term 
Summary0003951: Windows Updates
DescriptionSUMo Scans for Suftware Updates.
It would be very useful, when SUMo has an Option to scan for available Windows Updates (Updates for Windows) too.

If there are updates available, just Show them.
To download and install them the user should use the Updates feature of Windows.
TagsNo tags attached.

Relationships

related to 0005528 acknowledgedKyle_Katarn Render Microsoft product reporting more reliable with improved distinction between beta and release, and scanning vs reporting 

Activities

wolf

2019-05-25 13:53

reporter   ~0003390

I don't understand what you mean. Please clarify.
Please provide further details onto which extent differs of current implementation and if current implementation provides a temporary work-around?

In the current implementation, SUMo has a switch to enable Microsoft product reporting. SUMo warns not to use it due to operating system dependancy. I guess issue https://www.kcsoftwares.com/bugs/view.php?id=1783 will introduce options to better care for this operating system dependancy but which will not be implemented before next major version. Microsoft Office is included with that switch. Most of it is obviously not part of Windows. But there exist many other tools of Microsoft which extent Windows like Robocopy of Windows Server tools, some Microsoft Research tools, Sysinternals tools which was bought and integrated by Microsoft more than a decade ago. Onto which extent do you consider them part of Windows or separate products?

I ignored that warning of SUMo and have it enabled on all my devices. This blows up the resulting report and hence also analysis of it as long as the above mentioned issue isn't implemented and beta detection not improved. I wish many more SUMo users are able to cope with and willing to enable it in order to improve its quality. Currently very few active users have it enabled as SUMo server indicates.

I don't have beta software reporting enabled in SUMo as I'm currently not interested for any of my devices. Nevertheless I detect that many beta software gets reported as released although not released. Typical example is Windows 10 1903 which has been released for some distribution channels since a few days ago. SUMo has reported it as existing release for more than TWO months already and already reports Windows 10 20H1 or 2003 as released for some components of Windows since almost the first week of May 2019 although it will be released in about a years time. So I conclude that SUMo does not report about more recent released update or version availability but instead of existence without knowledge of release state nor availability. You often have to become member of some testing user to get such early access. Microsoft has different rings resp. groups or programs of such testing users. Also Mozilla alpha and beta testers for their Firefox tool. Similarly is Debian for Debian Linux. So different software publishers have different release processes designed and implemented resulting in not yet released versions leaving the publisher organization within the context of such release preparation programs. And it seems that depending on software tool, SUMo detection of released state of detected tool isn't reliable enough as too many SUMo users are part of such testing groups without SUMo detecting it.

Kyle_Katarn

2019-05-27 21:54

administrator   ~0003393

The request here is not to "enable Microsoft product" to be listed in SUMo, but to have SUMo to check if all WU KBxxxx are properly installed (eg : old SecuniaPSI had this feature)

This is currently not on my plan (but not closed yet, may change my mind on the very long term)

wolf

2019-06-02 21:37

reporter   ~0003437

The product page of SUMo of KC Softwares currently sounds different. Please explain why the described feature of this product page can otherwise determine the difference between existing software version (including not yet released test software versions, including alpha and beta software), released software version, and required security or stability hotfix version?
KC Softwares makes the claim that SUMo already indicates which of detected existing update versions are required according to that claim marked in the screenshot. Or what did I understand wrong?

I don't consider it wrong to specify features on product page which are not yet implemented. I consider it a bug if the product page doesn't distinguish between features already implemented and features planned but not yet implemented.

Kyle_Katarn

2019-06-02 21:49

administrator   ~0003438

The request here is to manage Windows "Service Packs" (Windows Update unitary packages). This is currently not claimed to be in the scope of SUMo today and was in the scope of former SecuniaPSI

wolf

2019-06-02 22:29

reporter   ~0003439

I forgot to attach the screenshot of the SUMo product page with mark of the feature in question. Find it attached now.

And no. SecuniaPSI wasn't only on service packs but also on security fixes. See your note https://www.kcsoftwares.com/bugs/view.php?id=3951#c3393 above which does not refer to service packs but to patches either cumulative or not. KB is not SP.

I don't understand what you mean by Windows Update unitary packages. I know what Windows Service Packs are. They were not unitary. The covered feature enhancements, rollup of previous KB-fixes and new KB-fixes.

And with Windows 10 Windows Security including defender, such Windows updates with KB-numbers come out every between once an hour and once every few hours if enabled in the operating system. For users having no other security platform installed such updates are required while being optional if equivalent third party solutions are installed and running. Windows security does check accordingly, not just their presence but also if they are currently active. And with Windows 10 1903 update some conflicts have arised as some third parties didn't rollout their fixes in preparation of that Windows feature update quick enough while many did so between February and May. Microsoft decided to hold back this feature update Windows 10 1903 for some of these systems.
sumo.feature.20190602.png (236,596 bytes)   
sumo.feature.20190602.png (236,596 bytes)   

OLLI_S

2019-06-05 22:36

reporter   ~0003447

The sequel of Secunia PSI is called VulnDetect.
When I perform a system scan with VulnDetect then I see in the logs the following lines:

> Searching updates: IsInstalled=0
> Found 1 updates
> Searching updates: IsInstalled=1
> Found 10 updates

Here VulnDetect is checking the status of Windows 10 Updated.

SUMo should also check the status of Windows 10 updates.
I think this is one request to the Windows Update Service (you don't have to check each KBxxxx separate).

If Windows 10 returns that there is an update that is not installed yet (see first two lines in the logs) then this information should be shown in SUMo:
"You have 1 Windows update available".
If Windows 10 returns that there are 2 updates available, show "You have 2 Windows updates available"

Issue History

Date Modified Username Field Change
2016-09-01 16:47 OLLI_S New Issue
2016-09-01 17:56 Kyle_Katarn Assigned To => Kyle_Katarn
2016-09-01 17:56 Kyle_Katarn Status new => acknowledged
2019-05-25 13:53 wolf Note Added: 0003390
2019-05-27 21:54 Kyle_Katarn Note Added: 0003393
2019-05-27 21:55 Kyle_Katarn Target Version => Long term
2019-06-02 21:37 wolf Note Added: 0003437
2019-06-02 21:49 Kyle_Katarn Note Added: 0003438
2019-06-02 22:13 wolf Issue cloned: 0005528
2019-06-02 22:13 wolf Relationship added related to 0005528
2019-06-02 22:29 wolf File Added: sumo.feature.20190602.png
2019-06-02 22:29 wolf Note Added: 0003439
2019-06-05 22:36 OLLI_S Note Added: 0003447